##  ‍🔔 基础事件
###  👨‍💻 作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

###  🖥 工具介绍
```
=============================
       FA2应用组件、控件基础事件控制分类函数。修复一些错误问题，如发现错误，请帮忙反馈给我。
=============================
```

###  🖥 调用方法

`匿名调用`：
```

    侧滑菜单名称修改后，无需修改对应的函数名称，且函数名称固定。
    
```
`显式调用`：
```

    侧滑菜单名称修改后，必须修改对应的函数名称。
    
```

####  💎 侧滑栏事件监听

`匿名调用示例`：
```

侧滑栏监听()
--侧滑菜单全局点击反馈
function 侧滑事件.全部(标题,...)
  --print('所有按钮反馈')
end

--侧滑菜单：新的索引调用方式
--当侧滑菜单修改后，函数名称无需修改
function 侧滑菜单1(...)
  print('侧滑1')
end
function 侧滑菜单2(...)
  print('侧滑2')
end
function 侧滑菜单3(...)
  print('侧滑3')
end
function 侧滑菜单4(...)
  print('侧滑4')
end
function 侧滑菜单5(...)
  print('侧滑5')
end
function 侧滑菜单6(...)
  print('侧滑6')
end
function 侧滑菜单7(...)
  print('侧滑7')
end
function 侧滑菜单8(...)
  print('侧滑8')
end
function 侧滑菜单9(...)
  print('侧滑9')
end
function 侧滑菜单10(...)
  print('侧滑10')
end

```

`显式调用示例`：
```

侧滑栏监听()
--侧滑菜单全局点击反馈
function 侧滑事件.全部(标题,...)
  --print('所有按钮反馈')
end
function 侧滑事件.侧滑1(...)
  print('侧滑1')
end
function 侧滑事件.侧滑2(...)
  print('侧滑2')
end
function 侧滑事件.侧滑3(...)
  print('侧滑3')
end
function 侧滑事件.侧滑4(...)
  print('侧滑4')
end
function 侧滑事件.侧滑5(...)
  print('侧滑5')
end
function 侧滑事件.侧滑6(...)
  print('侧滑6')
end
function 侧滑事件.侧滑7(...)
  print('侧滑7')
end
function 侧滑事件.侧滑8(...)
  print('侧滑8')
end
function 侧滑事件.侧滑9(...)
  print('侧滑9')
end
function 侧滑事件.侧滑10(...)
  print('侧滑10')
end

```

####  💎 顶栏菜单事件监听
`匿名调用示例`：
```

function 顶栏菜单1()
    print('第1个菜单')
end

function 顶栏菜单2()
    print('第2个菜单')
end

function 顶栏菜单3()
    print('第3个菜单')
end

function 顶栏菜单4()
    print('第4个菜单')
end

```
`显式调用示例`：
```

菜单栏监听()
function 菜单事件.菜单1()
  print('点击菜单1')
end
function 菜单事件.菜单2()
  print('点击菜单2')
end
function 菜单事件.菜单3()
  print('点击菜单3')
end
function 菜单事件.菜单4()
  print('点击菜单4')
end
function 菜单事件.设置主题()
  切换主题菜单()
end
function 菜单事件.退出应用()
  退出应用()
end

```
####  💎 指示器事件监听
```

local 长按开关='开'
指示器事件监听(长按开关)

```
#####  💎 点击事件设置
```
function 点击指示器1()
  print('点击指示器1')
end
function 点击指示器2()
  print('点击指示器2')
end
function 点击指示器3()
  print('点击指示器3')
end
function 点击指示器4()
  print('点击指示器4')
end
function 点击指示器5()
  print('点击指示器5')
end

```
#####  💎 长按事件设置
```
function 长按指示器1()
  print('长按指示器1')
end
function 长按指示器2()
  print('长按指示器2')
end
function 长按指示器3()
  print('长按指示器3')
end
function 长按指示器4()
  print('长按指示器4')
end
function 长按指示器5()
  print('长按指示器5')
end

```
`指示器监听事件说明`
```

    指示器：顾名思义，就是网页标签栏，我们可以将它设置为顶部标签，也可以设置为底栏菜单，支持长按和点击，但数量不宜设置过多，因此这里做了上限20个的数量限制。如果您有必要移除限制，可以通过 InClude.ufo 插件中的指示器监听函数将代码中的19判断条件注释掉。

```
``` 

温馨提示：如果调用失败、发生错误或与其它工具产生冲突，请帮忙反馈

```
###  💁‍♀️ 核心团队
```    

  Fusionapp1.0至2.0：寒歌
  FA1.x重制版|2.0官方团队核心成员：难忘的旋律
  FA2.0官方团队核心成员：dingyi等
  
``` 
###  💁‍♀️ 作者声明
``` 

特别说明：
       工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
       
```
###  💁‍♀️ 问题反馈
```

抖音教程：今日头麻 | QQ反馈: 547430970

```
###  💁‍♀️ 交流推荐
```

 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
 
```
##   
##   