##  ‍🔔 中文布局
###  👨‍💻 作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

### 💁‍♀️ 工具描述
```
=============================
      控件显示隐藏动画工具函数合集是我做了很久很久的一个动画效果合集。之所以做很久并不是动画效果的代码复杂，恰恰相反，动画效果的代码写起来其实是和布局代码一样简单的。只是它特别费时间，我们想要调出一个不错的动画效果，那就需要对动画函数中的各项参数进行反复微调，例如旋转效果，它的角度参数无上下限，旋转周期和时值同样无上下限，那么我们每次调整一个值就需要预览一下，所以非常消耗时间和精力。为了达到自己苛刻的效果要求，我大概从去年六月份就开始写这个工具合集了，现在已经算的上比较完善了。无论从效果个性化上，还是从控制逻辑，都比较不错，希望您能喜欢它。
=============================
```
### 💁‍♀️ 调用方法
```
=============================
   如果您选择保姆模式作为您的开发模式，那么您就无需导入工具合集，您可以直接使用它； 
   如果您使用的是专业模式作为开发环境，则需要您先在需要调用工具合集的代码区域靠前位置贴入工具依赖导入代码：导入依赖 "Gflower.ViewAnim"；
   在确保工具合集被正常加载之后，您可以在编辑器界面点击左上角的“...”菜单，然后选择“控件显隐”工具，开启菜单开关，再返回编辑器界面，您就能够通过点击对应菜单项目进行调用了。
=============================
```
### 💁‍♀️ 函数表
```
=============================
设置控件显隐(控件,效果,显隐,进时,留时,出时)
   *[设置控件显隐]是整个合集的主函数，它包含60组进场/出场动画效果，针对控件的显示和隐藏状态之间的代码切换，给予一个平滑的过渡动画效果。它的使用非常简单，仅需贴入上述函数，然后填写基本参数即可。
--简化调用：
设置控件显隐(控件,效果,显隐)
控件：您需要赋予显示或隐藏状态切换的控件对象；
效果：一共有60组成对的入场和出场效果，您在控制显示隐藏状态的切换时，只要保持每次调用的效果编号(1-60)相同，那么它们就属于同一类型；
显隐：它的值为0时，表示您将要对某控件执行出场动画的控件隐藏操作，反之当它为1时，则是您将执行对该控件从隐藏状态转至显示状态。上述已讲明白，当同一效果参数在不同场景中调用时，显隐状态无论是0或1，他们都会呈现同一效果动画，一般情况下，涉及到飞出/飞入的动画效果，它们的显隐0/1参数对应的效果基本都是完全相反的，当然也有例外的特殊效果情况，反转效果之后反而工作异常或体验不佳。
=============================
```
### 💁‍♀️ 核心团队
```
Fusionapp1.0至2.0：寒歌
FA1.x重制版|2.0官方团队核心成员：难忘的旋律
FA2.0官方团队核心成员：dingyi等
``` 
### 💁‍♀️ 作者声明
``` 
特别说明：
    工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
```
### 💁‍♀️ 问题反馈
```
抖音教程：今日头麻 | QQ反馈: 547430970
```
### 💁‍♀️ 交流推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
```
## 
## 