##  ‍🔔 远程管理
###  👨‍💻 作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

###  🖥 工具介绍
```
=============================
       通过远程管理函数的调用，我们可以实现微云等笔记内容储存远程代码。万能公告弹窗函数非常灵活，能够满足不同的实际需求。当您需要发布公告时，设置公告类型即可根据需求来自定义参数设置，以便于满足不同场景中的各种需求。
=============================
```
####  🖥 远程代码获取函数封装
```
=============================
--自定义云端代码页
function 加载云端代码(代码链接)
  local header={["User-Agent"]="Mozilla/5.0 (Linux; Android 14; STF-AL10 Build/HUAWEISTF-AL10; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/71.0.3578.99 Mobile Safari/537.36"}
  Http.get(代码链接,nil,"utf8",header,function(code,content)
    local 截取数据=content:match([[<article(.-)</article>]])
    local 截取代码=截取数据:gsub("&lt,","<"):gsub("&gt,",">"):gsub("&nbsp;"," "):gsub("amp,",""):gsub("</p><p>","\n"):gsub("<br/>",""):gsub("<br />",""):gsub("=function()","onClick=function")
    local 获取代码=截取代码:match([[【起始位置】(.-)【结束位置】]])
    loadstring(获取代码)()
    复制文本(获取代码)
  end)--微云远程结束
end
--调用函数
万能公告对话框()--弹出对话框，不弹出时注释
返回手势退出(1)--0禁用,1开启
控件翻转动画(父级卡片)--开窗动画，如不需要可注释掉
--加载云端代码
加载云端代码("https://share.weiyun.com/eXVio6ZV")
--原作者：小奶猫
=============================
```
####  ‍💯 远程代码使用方法
``` 
1.先使用微云创建一条用于发布云端代码的笔记;
2.粘贴云端代码至您的笔记中。
```
####  ‍💯 万能公告云端标签代码
``` 
【起始位置】
--必要参数
设置公告标题("请填写客服信息")--还可以通过ID来设置，设置文本内容(公告标题,"⭐⭐⭐有问题请联系客服⭐⭐⭐")
设置公告类型(2)--1.官方公告/2.平台公告/3.更新公告/4.活动公告/5.安全公告/6.维护公告/7.运营公告/直接输入自定义，变量名:分类参数
设置公告概述("这是一则演示公告提示")
--您还可以通过ID使用 设置文本内容() 函数来更新内容或改变文字颜色、大小、修改属性等等
--设置文本内容(公告概述,"正在为您准备新版本")
设置公告详情("这是一则公告详情演示代码")
--云端版本信息
设置云端版本("2.7.999")
--如果想显示为更新日期，格式:"更新日期："..获取当前时间格式()
--设置网址提示("温馨提示：您已安装最新版本")
--例如："官网链接：https://www.abcdefg.com"
设置网址链接("官网链接：https://www.abcdefg.com")
--底部四个按钮，依次从左到又，，可通过ID来设置事件、文字样式，ID：关闭按钮、官群按钮、仓库按钮、客服按钮
设置按钮文字("关闭窗口","软件仓库","官方Q群","客服微信")--值为空时启用默认值
--根据需要设置公告标题

--开启版本对比，支持一般性检测盗版，您还可以自定义包名检测函数，放置到下载按钮内
设置版本对比(1)

--可选动画参数，不启用动画则注释
视图色变动画(标题窗口,40000,0x12559900,0xffff9900,0x88ff0000,0x88ff3300)
视图色变动画(主体窗口,40000,0x22ff0000,0x22ff3300,0x22559900,0x22ff9900)
视图色变动画(公告外窗,40000,0x55eeeeee,0x65ffffff,0x55cccccc,0x55ffffff)
视图色变动画(官网按钮,40000,0x12559900,0xffff9900,0x88ff0000,0x88ff3300)
视图色变动画(公告窗口,40000,0x12559900,0xffff9900,0x88ff0000,0x88ff3300)
视图色变动画(关闭按钮,40000,0x12559900,0xffff9900,0x88ff0000,0x88ff3300)
视图色变动画(官群按钮,40000,0x12559900,0xffff9900,0x88ff0000,0x88ff3300)
视图色变动画(客服按钮,40000,0x12559900,0xffff9900,0x88ff0000,0x88ff3300)
视图色变动画(仓库按钮,40000,0x12559900,0xffff9900,0x88ff0000,0x88ff3300)

--点击事件的配置
主体窗口.onClick=function()
  控件回弹动画(主体窗口,200)
  --print("请填写主体窗口点击触发事件")
end
应用图标.onClick=function()
  控件回弹动画(应用图标,300)
  --  print("请填写应用图标点击触发事件")
end
弹窗标题.onClick=function()
  控件回弹动画(弹窗标题,300)
  --  print("请填写标题名称点击触发事件")
end
机型版本.onClick=function()
  控件回弹动画(机型版本,300)
  --  print("请填写机型版本点击触发事件")
end
公告提示.onClick=function()
  控件回弹动画(公告提示,300)
  设置访问链接("https://share.feijipan.com/s/tSAft38M")
  --print("请填写公告提示点击触发事件")
end
云端版本.onClick=function()
  控件回弹动画(云端版本,300)
  --  print("请填写云端版本点击触发事件")
end
安卓版本.onClick=function()
  控件回弹动画(安卓版本,300)
  --  print("请填写安卓版本点击触发事件")
end
本地版本.onClick=function()
  控件回弹动画(本地版本,300)
  --  print("请填写更新网路点击触发事件")
end
网址提示.onClick=function()
  控件回弹动画(公告提示,300)
  --  print("温馨提示：您已安装最新版本点击触发事件")
end
官网文字.onClick=function()
  控件回弹动画(官网卡片,300)
  --  print("请填写网址下载链接事件")
end
公告标题.onClick=function()
  控件回弹动画(公告标题,300)
  print("请填写客服联系方式事件")
end
官群按钮.onClick=function()
  控件回弹动画(官群卡片,300)
  print("请填写官方Q群链接事件")
end
客服按钮.onClick=function()
  控件回弹动画(客服卡片,300)--点击动画
  print("请填写立即文字点击链接事件")
end
仓库按钮.onClick=function()
  控件回弹动画(仓库卡片,300)
  --  print("请填写网页文字点击链接事件")
end
关闭按钮.onClick=function()
  控件缩隐动画(顶级窗口,600)
  --取消更新退出窗口事件
  关闭公告窗口()
end
【结束位置】
```
####  ♥️ 万能公告丰富的额外参数配置
``` 
--可选的高度自定义选项
--设置文本颜色(弹窗标题,0xffffff00)
--设置文本颜色(公告标题,0xffff0000)
--设置文本内容(弹窗标题,当前应用名称())--当前应用名称()

--文本内容设置
--设置文本内容(弹窗标题,"应用更新")--函数:当前应用名称()
--设置文本内容(公告提示,"公告提示")
--设置文本内容(公告标题,"⭐⭐⭐有问题请联系客服⭐⭐⭐")
--设置文本内容(关闭文字,"关闭窗口")
--设置文本内容(官群文字,"立即验证")
--设置提示内容(官网文字,"请输入您持有的注册码")

--文本颜色设置
--设置文本颜色(指引教程一,0xff559955)
--设置文本颜色(公告提示,0xffffffff)
--设置文本颜色(公告提示,0xff559955)
--公告提示颜色(官网文字,0xffffffff)
--设置文本颜色(官网文字,0xffffffff)

--字体样式设置
设置字体样式(弹窗标题,1)
设置字体样式(分类标签,3,-0.2)
--叶子效果配置
--设置文本颜色(关闭文字,0xffffffff)
--设置文本颜色(官群文字,0xffffffff)
--控件背景圆角(关闭卡片,2,0xff559955,0xff559955,10,1000,10,1000)
--控件背景圆角(官群卡片,2,0xff559955,0xff559955,1000,10,1000,10)
--设置控件旋转
--设置按钮旋转(-5,-45,-15,45)
--左，上，右，下margin值
--设置控件边距(关闭文字,5,25,-5,25)
--设置控件边距(官群文字,-5,25,5,25)

--圆角控件颜色控制
--控件背景圆角(父级卡片,7,0xffeeeeee,0xffffffff,30,30,30,30)
--控件背景圆角(主体窗口,0,0xffeeeeee,0x00ffffff,0,0,0,0)
--控件背景圆角(标题卡片,0,0xff559955,0xff559955,20,20,0,0)
--控件背景圆角(公告外卡,7,0xffeeeeff,0xffeeeeff,30,30,30,30)
--控件背景圆角(公告卡片,2,0xff559955,0xff559955,50,50,10,10)
--控件背景圆角(官网卡片,2,0xff559955,0xff559955,10,10,50,50)

--调用函数可选参数
--设置字体
设置文本字体(弹窗标题,DEFAULT)
--DEFAULT--DEFAULT,DEFAULT_BOLD,MONOSPACEMONOSPACE,SANS_SERIF,SERIF
--如果设置ttf|otf字体文件，则需要在main目录下创建font字体目录，然后填写字体文件名
--文本颜色

设置文本颜色(公告提示,0xffffffff)
设置文本颜色(公告提示,0xff559955)
公告提示颜色(官网文字,0xffffffff)
设置文本颜色(官网文字,0xffffffff)
设置文本颜色(关闭文字,0xffffffff)
设置文本颜色(官群文字,0xffffffff)
设置文本颜色(联系客服,0xffff0000)

--圆角控件颜色控制
控件背景圆角(父级卡片,7,0xffeeeeee,0xffffffff,30,30,30,30)
控件背景圆角(主体窗口,0,0xffeeeeee,0x00ffffff,0,0,0,0)
控件背景圆角(标题卡片,0,0xff559955,0xff559955,20,20,0,0)
控件背景圆角(公告外卡,7,0xffffffff,0xffffffff,30,30,30,30)
控件背景圆角(公告卡片,2,0xff559955,0xff559955,50,50,10,10)
控件背景圆角(官网卡片,2,0xff559955,0xff559955,10,10,50,50)
控件背景圆角(关闭卡片,2,0xff559955,0xff559955,10,1000,10,1000)
控件背景圆角(官群卡片,2,0xff559955,0xff559955,1000,10,1000,10)
--设置文本颜色(关闭文字,0xffffffff)
--控件背景圆角(关闭卡片,2,0xff559955,0xff559955,25,25,25,25)
```
####  🔏 硬件授权可调用ID列表
``` 
顶层卡片：整个窗口最顶级的控件ID
标题卡片：如需定义标题点击事件可用
应用图标：如需定义应用图标点击事件可用
标题文本：如需定义标题文本属性可用
硬件ID号：如需获取硬件ID信息可用
编辑卡片：如需定义卡片样式或点击事件可用
编辑文本：如需定义文字样式和内容可用
验证文本：如需定义文字样式和内容可用
验证卡片：如需定义卡片样式或点击事件可用
中立按钮：基本按钮事件
中立文本：基本文本属性
退出按钮：基本按钮事件
退出文本：固定按钮事件
确认按钮：基本按钮事件
确认文本：基本按钮属性
预览卡片：扩展预览显示区域，可自定义事件
预览文本：扩展预览文本信息，可自定义内容
```
####  🔏 硬件授权可调用函数列表
``` 
关闭授权视图框()
返回手势退出(手势开关)
输入预览开关(开关)
硬件ID()
设置文本字体(控件ID,字体名称)
设置文本内容(控件ID,文本内容)
设置提示内容(控件ID,文本内容)
设置文本颜色(控件ID,颜色值)
设置主题颜色(颜色值)
确认按钮颜色(颜色值)
退出按钮颜色(颜色值)
中立按钮颜色(颜色值)
控件回弹动画(控件ID,时间)
控件翻转动画(控件ID,时间,模式)
控件缩放动画(控件ID,时间,模式)
闪动字体(控件ID,频率,颜色1,颜色2,颜色3,颜色4)
小写转大写(字符串)
关闭授权视图框()
```
####  🎲 硬件授权算法器
```
为您提供了以下两个可调用函数：
硬件授权算法器(1,1,1)
--返回一个24位的授权码值
获取授权校验码(硬件授权算法器(1,1,1))
--返回24位授权码对应的32位校验码
--数值1，数值2，数值3，控制最终得出的结果码
--返回值可以通过以下函数获取或print(函数名)
--复制文本(硬件授权算法器(1,1,1))
--复制文本(获取授权校验码(硬件授权算法器(1,1,1)))
``` 
###  💁‍♀️ 核心团队
```    
  Fusionapp1.0至2.0：寒歌
  FA1.x重制版|2.0官方团队核心成员：难忘的旋律
  FA2.0官方团队核心成员：dingyi等
``` 
###  💁‍♀️ 作者声明
``` 
特别说明：
       工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
```
###  💁‍♀️ 问题反馈
```
抖音教程：今日头麻 | QQ反馈: 547430970
```
###  💁‍♀️ 交流推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
```
##   
##   