//监听主题切换行为 Gflower:2025-05-03
// 接收主题更新
window.addEventListener('message', function(event) {
    if (event.data.type === 'THEME_UPDATE') {
        const style = document.createElement('style');
        style.id = 'theme-styles';
        style.textContent = event.data.css;
            
        const existing = document.getElementById('theme-styles');
        if (existing) {
            document.head.replaceChild(style, existing);
        } else {
            document.head.appendChild(style);
            }
        }
});

    // 初始加载时请求主题
window.addEventListener('load', function() {
    if (window.parent) {
            window.parent.postMessage({ type: 'REQUEST_THEME' }, '*');
    }
});