##  ‍🔔 弹窗模板
###  👨‍💻 作者推荐

[共创Q群](https://qm.qq.com/q/CAOKYTbOi6)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[作者QQ](https://qm.qq.com/q/IBOr8LO4o0)&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[推荐火眼PHPEMS](https://qm.qq.com/q/X9hUQ4H44k)

###  🖥 工具介绍
```
=============================
       您可以根据自己的需求场景来选择对应的弹窗模板来进行调用，弹窗模板化的好处是：代码只写一遍，在不同场景中重复调用，仅需改变标题、文本内容、事件等配置。
=============================
```

####  💬 弹出新消息
```
=============================
       新版弹出消息函数，在完全调用时，依次可携带五个参数：文本内容、色彩风格、弹出高度、字体大小以及动画开关。函数名称支持所有ufo开发工具的表达形式。更新之后的版本向下兼容旧版本，无需修改已应用代码。
=============================
最简调用：
弹出新消息("你好，世界!")
=============================
颜彩调用：
黑、白、灰、红、绿、蓝、黄、橙、青、紫、棕、彩
纯色均支持6个参数，如："黑[1]"，"红[6]"
彩色由原10个风格增加到60个，如："彩[1]"，"彩[60]"
=============================
色彩调用：
print('你好世界','黑')
弹出消息('你好世界','红[1]')
弹出新消息('你好世界','绿[2]')
弹出提示('你好世界','蓝[3]')
弹出提醒('你好世界','白[4]')
文字提示('你好世界','紫[6]')
提示文字('你好世界','棕[6]')
提示消息('你好世界','青[7]')
提醒消息('你好世界','彩[8]')
=============================
完全调用：
弹出消息(内容,色系,弹出高度,字号,动画开关)
调用示例：
弹出消息("你好!世界!","黑[1]","0%h","5sp",1)
弹出消息("你好!世界!","白[2]","5%h","6sp",1)
弹出消息("你好!世界!","灰[3]","10%h","7sp",1)
弹出消息("你好!世界!","红[4]","15%h","8sp",1)
弹出消息("你好!世界!","绿[5]","20%h","9sp",1)
弹出消息("你好!世界!","青[6]","25%h","10sp",1)
弹出消息("你好!世界!","蓝[1]","30%h","11sp",1)
弹出消息("你好!世界!","紫[3]","35%h","12sp",1)
弹出消息("你好!世界!","棕[5]","40%h","13sp",1)
弹出消息("你好!世界!","橙[4]","45%h","14sp",1)
弹出消息("你好!世界!","黄[6]","50%h","15sp",1)
弹出消息("你好!世界!","彩[1]","55%h","16sp",1)
弹出消息("你好!世界!","彩[10]","60%h","17sp",1)
弹出消息("你好!世界!","彩[15]","65%h","18sp",1)
弹出消息("你好!世界!","彩[20]","70%h","19sp",1)
弹出消息("你好!世界!","彩[30]","75%h","20sp",1)
弹出消息("你好!世界!","彩[35]","80%h","21sp",1)
弹出消息("你好!世界!","彩[40]","85%h","22sp",1)
弹出消息("你好!世界!","彩[45]","90%h","23sp",1)
弹出消息("你好!世界!","彩[50]","95%h","24sp",1)
弹出消息("你好!世界!","彩[55]","-5%h","25sp",1)
=============================
```
=============================
####  💬 彩字对话框

```
文本颜色参数示例：
--String："红"/"橙"/"黄"/"绿"/"青"/"蓝"/"黑"/"灰"/"棕"/"橙"/"白"
--Number：0xFF000000 | 0xFFFF00000
=============================
说明：直接调用即可
=============================
```
=============================
####  💬 拟态文件保存对话框
=============================
```
窗口全局ID:窗口事件,窗口标题ID:标题事件,输入前缀ID:输入前缀

输入后缀ID:输入后缀,切换后缀ID:切换后缀,取消按钮ID:取消事件

确认按钮ID:确认事件,选择按钮ID:选择事件

类目选择器("视频")  

  有效值:"视频","音乐","图片","动图","文档","代码","程序","压缩"
  
  无效值:任意无效值可关闭选择器切换功能
  
对话框风格:

白雪，黑洞，灰烬，红霞，蓝海，绿荫，青山，紫薇，桃源，橙装，黄梁，棕榈，青春，罗兰，古道，原野，琉璃，纸鸢，火凤，龙鳞

       选择事件功能默认为切换后缀，调用以下函数即可继承点击事件：
=============================
选择事件.onClick=function()
  print('点击了选择')
end
=============================
函数说明：直接调用即可
=============================
```
####  💁‍♀️ 其它调用
```    
  其它函数调用均同上，请留意注释信息的提示内容
```    
###  💁‍♀️ 核心团队
```    
  Fusionapp1.0至2.0：寒歌
  FA1.x重制版|2.0官方团队核心成员：难忘的旋律
  FA2.0官方团队核心成员：dingyi等
``` 
###  💁‍♀️ 作者声明
``` 
特别说明：
       工具作者创作之内容有部分引用官方团队的教程、示例代码，原创声明中的条目或条款均排除引用内容，示例和已标注作者及出处之部分，版权归原作者所有(包括佚名内容)
```
###  💁‍♀️ 问题反馈
```
抖音教程：今日头麻 | QQ反馈: 547430970
```
###  💁‍♀️ 交流推荐
```
 ⭐高级⭐ FA2公测群(FA2官方)：107828217
 ⭐高级⭐ MyLuaApp群(dingyi)：1020019846
 ⭐高级⭐ Luа加固(难忘的旋律) 976449507
 ⭐推荐⭐ 代码手册(帕帝)：778459005
 ⭐推荐⭐ JsHD官方群(壹影)：971820505
 ⭐推荐⭐ 站长交流群(2千高活跃)：741864139
 ⭐初级⭐ FA3X维护和更新：20078299
```
##   
##   